Bug 166961 - NB frozen after installing plugins
NB frozen after installing plugins
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: DD Editor
6.x
PC Windows XP
: P2 (vote)
: TBD
Assigned To: Denis Anisimov
issues@javaee
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 06:40 UTC by frankioski
Modified: 2009-09-08 02:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
messages.log (142.12 KB, text/plain)
2009-06-12 06:42 UTC, frankioski
Details
Screen cap of frozen Plugins window and NB 6.7rc2 (82.83 KB, image/png)
2009-06-12 06:43 UTC, frankioski
Details
2 thread dumps (67.99 KB, text/plain)
2009-06-12 06:44 UTC, frankioski
Details
messages.log after killing NB 6.7rc2 process (142.12 KB, text/plain)
2009-06-12 06:46 UTC, frankioski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description frankioski 2009-06-12 06:40:13 UTC
Started up newly installed 6.7rc2. Navigated to Tools > Plugins and installed the downloaded portalpack 3.0.1 WebSynergy
plugins. After install appears to finish, the Plugins window would not close, and NB freezes.
Comment 1 frankioski 2009-06-12 06:42:00 UTC
Created attachment 83477 [details]
messages.log
Comment 2 frankioski 2009-06-12 06:43:26 UTC
Created attachment 83478 [details]
Screen cap of frozen Plugins window and NB 6.7rc2
Comment 3 frankioski 2009-06-12 06:44:07 UTC
Created attachment 83479 [details]
2 thread dumps
Comment 4 frankioski 2009-06-12 06:46:20 UTC
Created attachment 83480 [details]
messages.log after killing NB 6.7rc2 process
Comment 5 Antonin Nebuzelsky 2009-07-24 12:00:03 UTC
Jesse, evaluate this one.
Comment 6 Jesse Glick 2009-07-24 15:51:13 UTC
Fault is in j2ee.ddloaders.web.DDDataObject.stateChanged, which is acquiring a new lock (ProjectManager.MUTEX) while
inside a listener callback.
Comment 7 Petr Jiricka 2009-08-28 14:54:53 UTC
Sounds like a P2 to me.
Comment 8 Petr Jiricka 2009-09-03 10:07:25 UTC
Hi Denis, since you were looking at the web DD model area, can you please investigate this one too? Thanks.
Comment 9 Denis Anisimov 2009-09-07 15:09:13 UTC
changeset:   144053:2e20a12a0c78
user:        Denis Anisimov <ads@netbeans.org>
date:        Mon Sep 07 17:56:39 2009 +0400
summary:     Fix for IZ#166961 - NB frozen after installing plugins
Comment 10 Quality Engineering 2009-09-08 02:48:48 UTC
Integrated into 'main-golden', will be available in build *200909071948* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2e20a12a0c78
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for IZ#166961 - NB frozen after installing plugins


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo